import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listVehicle(query) {
  return request({
    url: '/app/vehicle/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getVehicle(vehicleId) {
  return request({
    url: '/app/vehicle/' + vehicleId,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addVehicle(data) {
  return request({
    url: '/app/vehicle',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateVehicle(data) {
  return request({
    url: '/app/vehicle',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delVehicle(vehicleId) {
  return request({
    url: '/app/vehicle/' + vehicleId,
    method: 'delete'
  })
}
